Bug 12925 - Server exit with active AIO can crash.
Server exit with active AIO can crash.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 23:34 UTC by Jeremy Allison
Modified: 2017-07-25 09:42 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.7.0, 4.6.next. (4.88 KB, patch)
2017-07-21 23:38 UTC, Jeremy Allison
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2017-07-21 23:34:42 UTC
From Volker:

When we do a server exit with active aio jobs, we need to keep the
aio state active for the helper thread.

Patch to follow.
Comment 1 Jeremy Allison 2017-07-21 23:38:10 UTC
Created attachment 13410 [details]
git-am fix for 4.7.0, 4.6.next.

Cherry-pick from master with BUG: line added.
Comment 2 Volker Lendecke 2017-07-22 08:07:17 UTC
Comment on attachment 13410 [details]
git-am fix for 4.7.0, 4.6.next.

Thanks for taking care in bugzilla. Was too busy with other organizational stuff
Comment 3 Jeremy Allison 2017-07-22 16:31:37 UTC
Re-assigning to Karolin for inclusion in 4.7.0, 4.6.next.
Comment 4 Karolin Seeger 2017-07-23 20:22:33 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{7,6}-test.
Comment 5 Karolin Seeger 2017-07-25 09:42:02 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!